ec2/uec images should have complete apt package lists

Bug #513060 reported by Scott Moser on 2010-01-27
8
This bug affects 1 person
Affects Status Importance Assigned to Milestone
cloud-init (Ubuntu)
Medium
Unassigned

Bug Description

Binary package hint: ec2-init

> > > Eric Hammond Wrote:
> > Matt Zimmerman Wrote:
> Scott Moser Wrote:
Matt Zimmerman Wrote:
> > > > Let me know if you have any suggestions, corrections, or other feedback:
> > > >
> > > > http://alestic.com/2010/01/ec2-ubuntu-bug
> > >
> > > Thanks for posting this. I think where you wrote "apt-get update" (download
> > > new package lists), you meant "apt-get upgrade" (install the latest versions
> > > of packages). The user should try to reconfirm their bug after upgrading if
> > > they are not running the latest packages.
> >
> > He did mean 'apt-get update'. If you attempt to ubuntu-bug after having
> > run 'apt-get clean' (which is run in the images) and before running
> > apt-get update, it complains that the package your opening a bug against
> > is not an official package:
>
> Sounds like a bug then (there was another bug whereby it would decide you
> were using unofficial packages if they were merely out of date). The stock
> image should have complete apt package lists so that apport doesn't think
> the installed packages are unofficial (like we do with CD installs).

ProblemType: Bug
Architecture: i386
Date: Wed Jan 27 02:23:50 2010
DistroRelease: Ubuntu 10.04
Ec2AMI: ami-3752bf5e
Ec2AMIManifest: ubuntu-images-testing-us/ubuntu-lucid-daily-i386-server-20100126.manifest.xml
Ec2AvailabilityZone: us-east-1b
Ec2InstanceType: m1.small
Ec2Kernel: aki-60cb2609
Ec2Ramdisk: ari-3952bf50
Package: ec2-init 0.5.1-0ubuntu1
PackageArchitecture: all
ProcEnviron:
 LANG=en_US.UTF-8
 SHELL=/bin/bash
ProcVersionSignature: User Name 2.6.32-301.4-ec2
SourcePackage: ec2-init
Uname: Linux 2.6.32-301-ec2 i686

Related branches

Scott Moser (smoser) wrote :
Eric Hammond (esh) wrote :

FYI, the reason I did not include the apt package index in the original Ubuntu AMIs on EC2 was because:

- it increased the size of the AMI by 40%,

- there is a strong correlation between the AMI size and load time (pending to running), and

- users should almost always "apt-get update" before upgrading or installing packages.

On my Hardy ami-c4f615ad, disk usage goes from 393 MB to 553 MB with "apt-get update" (increase of 160 MB or 41%).

On the Karmic ami-1515f67c, disk usage goes from 548 MB to 576 MB with "apt-get update (increase of 28 MB or 5%) so it is not as big of a deal.

On the other hand, perhaps this is an indication of extra files left on the new Karmic images which might not be needed and which could be removed to speed up their startup time on EC2. Here's a couple sets of files for consideration with sizes on a fresh Karmic instance:
  13M /var/cache/apt/pkgcache.bin
  34M /var/lib/apt/lists

Scott Moser (smoser) on 2010-01-29
Changed in ec2-init (Ubuntu):
importance: Undecided → Medium
status: New → Triaged

On Wed, Jan 27, 2010 at 04:12:23AM -0000, Eric Hammond wrote:
> FYI, the reason I did not include the apt package index in the original
> Ubuntu AMIs on EC2 was because:
>
> - it increased the size of the AMI by 40%,
>
> - there is a strong correlation between the AMI size and load time
> (pending to running), and
>
> - users should almost always "apt-get update" before upgrading or
> installing packages.
>
> On my Hardy ami-c4f615ad, disk usage goes from 393 MB to 553 MB with
> "apt-get update" (increase of 160 MB or 41%).

Something else must be going on here. The package list is simply not that
large.

> On the Karmic ami-1515f67c, disk usage goes from 548 MB to 576 MB with
> "apt-get update (increase of 28 MB or 5%) so it is not as big of a deal.
>
> On the other hand, perhaps this is an indication of extra files left on the new Karmic images which might not be needed and which could be removed to speed up their startup time on EC2. Here's a couple sets of files for consideration with sizes on a fresh Karmic instance:
> 13M /var/cache/apt/pkgcache.bin
> 34M /var/lib/apt/lists

Those numbers look more realistic.

--
 - mdz

Scott Moser (smoser) on 2010-02-24
affects: ec2-init (Ubuntu) → cloud-init (Ubuntu)
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package cloud-init - 0.5.9-0ubuntu1

---------------
cloud-init (0.5.9-0ubuntu1) lucid; urgency=low

  * New upstream release.
  * rename apt list files. 'ubuntu-bug' now works without update (LP: #513060)
  * replace 'cloudconfig' entries in fstab rather than appending (LP: #524562)
  * fix to fstab writing on ebs-root instances
 -- Scott Moser <email address hidden> Mon, 08 Mar 2010 13:07:02 -0500

Changed in cloud-init (Ubuntu):
status: Triaged → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers